This is the mail archive of the cygwin mailing list for the Cygwin project.

Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]
Other format: [Raw text]

Install bug(s): bzip2-1 and x3270

I want to report that (in a certain scenario), I managed to install
Cygwin (32 bit) successfully.  All I needed was (some luck, see (C)
below) and 2 fixes (see (C) and (D) below).

========== Scenario:
  (A) Download full cygwin (with obsolete packages hidded, and — if it
      asked [I do not remember] — agreeing on requiring obsolete stuff) in Summer 2015.
  (B) Install all but the Debug category (agreeing on required obsolete stuff) 
  	    — this would not succeed (many postinstall scripts failed).

I had no time to investigate this in 2015.  A week ago:

  (C) I found out that a frequent understandable error in the logs was:
      	D:/Programs/cygwin/bin/mkfontscale.exe: error while loading shared libraries: cygbz2-1.dll: cannot open shared object file: No such file or directory
      so I manually requested that the install_tool installs the
      libbz2_1 package.

      While doing this, I did not notice that install_tool was in
      "Cur" state (as opposed to "Keep"), so it pulled in several
      dozens of new versions packages too.

      It so happened that this WAS a correct combination to fix
      problems with cygwin-of-Summer-2015.  (But by itself, current
      state of cygwin does not install; see below!!!) 

  (D) Everything would install fine now (hurray!!!) except: exit code 1
	opendir: No such file or directory
			Fix: mkdir D:\Programs\cygwin\usr\share\fonts\encodings
			and rerun install_tool.  Result: everything
			installs fine!

   (1) at least in 2015, many packages requiring libbz2_1 were not marked as such.
       	  (this may have been already changed; the above scenario
   	   gives no info about this);

   (2) postinstall/ needs an extra line, mkdir'ing the
       ENCODINGS directory.


P.S.  Unfortunately, no luck with upgrading to the current state of
      cygwin: install does not succeed any more (I would report this

Problem reports:
Unsubscribe info:

Index Nav: [Date Index] [Subject Index] [Author Index] [Thread Index]
Message Nav: [Date Prev] [Date Next] [Thread Prev] [Thread Next]